summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2018-06-18 15:22:55 +0200
committerManuel Rüger <mrueg@gentoo.org>2018-06-18 15:22:55 +0200
commitcea61b12a43b5ecd518fe9c38cf7507366d90883 (patch)
tree310448b4a47cea44d364bd228982ebb0f0a4f6fa
parentsci-libs/libsigrokdecode: Version bump (diff)
downloadgentoo-cea61b12a43b5ecd518fe9c38cf7507366d90883.tar.gz
gentoo-cea61b12a43b5ecd518fe9c38cf7507366d90883.tar.bz2
gentoo-cea61b12a43b5ecd518fe9c38cf7507366d90883.zip
dev-util/hadolint: Version bump to 1.7.4
Package-Manager: Portage-2.3.40, Repoman-2.3.9
-rw-r--r--dev-util/hadolint/Manifest1
-rw-r--r--dev-util/hadolint/hadolint-1.7.4.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/dev-util/hadolint/Manifest b/dev-util/hadolint/Manifest
index 5250fd066dd..8128bf8efa2 100644
--- a/dev-util/hadolint/Manifest
+++ b/dev-util/hadolint/Manifest
@@ -1,3 +1,4 @@
DIST hadolint-1.5.0.tar.gz 31002 BLAKE2B 889885192f8ae12c468b90923948970d617bb5dc0156efa615e8ef750b3940b66d84215a21d0dca11ee7176f12b32c47a35a763035c9c2023bb8dc83b2b0af69 SHA512 19e246d82670e27751729394ba73ef03260525eedb0dbe26a605dd2c30e95386bafb85f9063a94d3a3e8b47fb05c248bdd6fda0ef9cf95285b1ec0ef54ad6d15
DIST hadolint-1.7.1.tar.gz 33520 BLAKE2B e66b76135c0b69a906e8a4cb0f08b9eb53e8c5d15140f20c31894155cfdc97cdc2899f1bbf575fdbed9feea99884d88b604d0bdfd2daeed4efd6064a9e28e453 SHA512 44e952665a3fbd592397cfb251935f0129900c5c87f34dc884cdb83e668e369848c0c0c403f8d7f31fd786de84e64b5e8df4d3935309acfe8266d5621f7966de
DIST hadolint-1.7.2.tar.gz 34960 BLAKE2B db1ff9df439e3dbc0e36a47749d0013e76abadfecfb87abfce9e4e41f654a3955bdff2804c92a60e1e399b0e74601c80a7a96012de93bed48e0425afee359e39 SHA512 1562ca9e2b81d6840bd89b98ce706372e32e93505efd6eecef613ddcb089306653da09ef09f8876fe19c6effd1520784ae05c83bb2460975628389ef80f5df93
+DIST hadolint-1.7.4.tar.gz 35187 BLAKE2B e40892f739d7714f62b322d1d3bb6d5cb285e9e6f3bc9c35d21a8d0eef837f32966b6292ce3e20ff461e2775777b2bf6192676ab76d32a558a8242dfe12c697d SHA512 ad92d1f6a1efee2b853613ec078396847e7ee2c525d6069d3cf1708d1af229133eff35e0dee6f0680433a2c6781839beeda02f8cebb52e360c622e6b05ac5925
diff --git a/dev-util/hadolint/hadolint-1.7.4.ebuild b/dev-util/hadolint/hadolint-1.7.4.ebuild
new file mode 100644
index 00000000000..7e0e70f8762
--- /dev/null
+++ b/dev-util/hadolint/hadolint-1.7.4.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+# ebuild generated by hackport 0.5.5
+
+CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
+inherit haskell-cabal
+
+DESCRIPTION="Dockerfile Linter JavaScript API"
+HOMEPAGE="https://github.com/hadolint/hadolint"
+SRC_URI="mirror://hackage/packages/archive/${PN}/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-haskell/aeson:=[profile?]
+ >=dev-haskell/gitrev-1.3.1:=[profile?]
+ >=dev-haskell/language-docker-6.0.1:=[profile?] <dev-haskell/language-docker-7:=[profile?]
+ >=dev-haskell/megaparsec-6.4:=[profile?]
+ dev-haskell/mtl:=[profile?]
+ >=dev-haskell/optparse-applicative-0.14.0:=[profile?]
+ >=dev-haskell/split-0.2:=[profile?]
+ dev-haskell/text:=[profile?]
+ dev-haskell/void:=[profile?]
+ dev-haskell/yaml:=[profile?]
+ >=dev-lang/ghc-8.0.2:=
+ >=dev-util/shellcheck-0.5.0:=[profile?]
+"
+DEPEND="${RDEPEND}
+ >=dev-haskell/cabal-1.24.2.0
+ test? ( dev-haskell/hspec
+ >=dev-haskell/hunit-1.2 )
+"
+
+src_prepare() {
+ default
+ sed -i -e "s/-static//" ${PN}.cabal || die
+}